import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'

const resolve = (dir: string) => path.join(__dirname, dir)

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  resolve: {
    alias: {
      '@': resolve('src'),
    },
  },
  build: {
    lib: {
      entry: resolve('src/main.ts'),
      name: 'v-annotator-vue3',
      fileName: (format) => `vue3-virtual-scroller.${format}.js`,
    },
  }
})
