import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'
import dts from 'vite-plugin-dts';

const resolve = (dir: string) => path.join(__dirname, dir)

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), dts()],
  resolve: {
    alias: {
      '@': resolve('src'),
    },
  },
  rollupOptions: {
    external: ['vue'],
    output: {
      globals: {
        vue: 'Vue'
      }
    }
  },
  build: {
    lib: {
      entry: resolve('src/index.ts'),
      name: 'v-annotator-vue3',
      fileName: (format) => `v-annotator-vue3.${format}.js`,
    },
  }
})
