import { PropType } from "vue";
import { Entity } from '../domain/models/Label/Entity';
import { RelationListItem } from '../domain/models/Label/Relation';
import { Font } from '../domain/models/Line/Font';
import { LabelList } from '../domain/models/Label/Label';
import { TextLine } from '../domain/models/Line/LineText';
import { GeometricEntity } from '../domain/models/Line/LineEntity';
import { LineRelation } from '../domain/models/Line/LineRelation';
declare const _sfc_main: {
    components: undefined;
    props: {
        entities: {
            type: PropType<Entity[]>;
            default: () => never[];
            required: boolean;
        };
        relations: {
            type: PropType<RelationListItem[]>;
            default: () => never[];
        };
        textLine: {
            type: PropType<TextLine>;
            required: boolean;
        };
        dark: {
            type: BooleanConstructor;
            default: boolean;
        };
        font: {
            type: PropType<Font>;
            required: boolean;
        };
        text: {
            type: StringConstructor;
            required: boolean;
        };
        entityLabels: {
            type: PropType<LabelList | null>;
            required: boolean;
        };
        relationLabels: {
            type: PropType<LabelList | null>;
        };
        rtl: {
            type: BooleanConstructor;
            default: boolean;
        };
        baseX: {
            type: NumberConstructor;
            default: number;
        };
        left: {
            type: NumberConstructor;
            default: number;
        };
        right: {
            type: NumberConstructor;
            default: number;
        };
        selectedEntities: {
            type: PropType<Entity[]>;
        };
        selectedRelation: {
            type: PropType<RelationListItem | null>;
        };
    };
    data(): {
        element: SVGTextElement | null;
    };
    mounted(): void;
    watch: {
        textLine: {
            handler(): void;
            deep: boolean;
        };
        entities: {
            handler(): void;
            deep: boolean;
            immediate: boolean;
        };
    };
    computed: {
        translate(): string;
        geometricEntities(): GeometricEntity[];
        lineRelations(): LineRelation[];
        maxRelationLevel(): number;
        y(): number;
        translateEntity(): string;
        direction(): string;
        id(): string;
        svgId(): string;
    };
    methods: {
        noText(entity: Entity): boolean;
        setElement(): void;
        color(entity: Entity): string;
        labelText(entity: Entity): string;
        isSelectedRelation(relation: RelationListItem): boolean;
        isSelectedEntity(entity: Entity): boolean;
    };
};
export default _sfc_main;
